Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Juri Linkov <[email-masked]>
Date: Thu, 23 Apr 2020 01:05:42 +0300

> So when the user is not idle then things should work as today. But if
> the user is idle (e.g. uses an other app or is away from the computer)
> then error messages should not be hidden by other messages, rather
> they should all be shown in a multiline echo area, so when the user
> gets back to emacs he can see all the errors which happened while he
> was away.

Please try the multiline echo area implemented in
https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00646.html